<?php namespace SokoWeb\Response;

use SokoWeb\View\Linker;

class HtmlContent extends ContentBase
{
    private string $view;

    public function __construct(string $view, array $data = [])
    {
        $this->view = $view;
        $this->data = $data;
    }

    public function render(): void
    {
        if (!empty($_ENV['DEV'])) {
            $generator = new Linker($this->view);
            $generator->generate();
        }

        extract($this->data);

        if (defined('SCRIPT_STARTED')) {
            $__debug_runtime = round((hrtime(true) - SCRIPT_STARTED) / 1e+6, 1);
        }

        require ROOT . '/cache/views/' . $this->view . '.php';
    }

    public function getContentType(): string
    {
        return 'text/html';
    }
}
